# Configuration

{% tabs %}
{% tab title="data\_vendors.lua" %}

```javascript
return {
    logWebhook = "https://discord.com/api/webhooks/YOUR_WEBHOOK_ID/YOUR_WEBHOOK_TOKEN", -- Set to false for no discord logs.
    vendors = {
        ['rifle_vendor']  = {
            name = 'Rifle Vendor',
            PED_LOCATION = vector4(1409.9078, 3620.0334, 33.8943, 294.6835),
            PED_MODEL = 's_m_m_ammucountry',
            PED_SCENARIO = 'WORLD_HUMAN_CLIPBOARD',
            TEXT_LABEL = '[~r~E~w~] Open ~r~Rifle~w~ Vendor',
            TARGET_LABEL = 'Open Vendor',
            viewDistance = 5, 
            groups = {'police', 'ballas'}, -- Supports job names on ESX & QB / Supports gang names on QB
            items = {
                {
                    item = 'WEAPON_CARBINERIFLE',
                    icon = 'fas fa-gun',
                    can_buy_multiple = false, -- If the player can buy more than 1 at once.
                    requiredItems = {["money"] = 1},
                    collectDelay = false, -- Time (in minutes) players have to wait to collect item. (Set to false for no wait time)
                    stock = 10,
                    amount = 1,
                },
                {
                    item = 'weapon_assaultrifle',
                    icon = 'fas fa-gun',
                    can_buy_multiple = false, -- If the player can buy more than 1 at once.
                    requiredItems= {["money"] = 5, ["donut"] = 1},
                    collectDelay = 5, -- Time (in minutes) players have to wait to collect item. (Set to false for no wait time)
                    stock = 1,
                    amount = 1,
                },
                {
                    item = 'ammo-rifle',
                    icon = 'fas fa-gun',
                    can_buy_multiple = true, -- If the player can buy more than 1 at once.
                    requiredItems = {["money"] = 1},
                    collectDelay = false, -- Time (in minutes) players have to wait to collect item. (Set to false for no wait time)
                    stock = 20,
                    amount = 1,
                },
            }
        },
        ['pistol_vendor']  = {
            name = 'Pistol Vendor',
            PED_LOCATION = vector4(1419.3724, 3607.8008, 33.9568, 294.6835),
            PED_MODEL = 's_m_m_ammucountry',
            PED_SCENARIO = 'WORLD_HUMAN_CLIPBOARD',
            TEXT_LABEL = '[~r~E~w~] Open ~r~Pistol~w~ Vendor',
            TARGET_LABEL = 'Open Vendor',
            viewDistance = 5, 
            groups = {'police'},
            items = {
                {
                    item = 'weapon_pistol',
                    icon = 'fas fa-gun',
                    requiredItems= {["money"] = 1},
                    collectDelay = 5, -- Time (in minutes) players have to wait to collect item. (Set to false for no wait time)
                    stock = 1,
                    amount = 1,
                },
                {
                    item = 'weapon_heavypistol',
                    icon = 'fas fa-gun',
                    requiredItems= {["money"] = 1, ["donut"] = 1},
                    collectDelay = 2, -- Time (in minutes) players have to wait to collect item. (Set to false for no wait time)
                    stock = 1,
                    amount = 1,
                },
            }
        }
    }
}






```

{% endtab %}

{% tab title="config.lua" %}

```python
return {

    
    NotifyType = 'ox_lib', -- Support for 'ox_lib', 'qb', 'esx', 'okok' and 'custom' to use a different type.

    interaction = { 
        type = 'text', -- Supports 'target' and 'text'
        
        targeticon = 'fas fa-store', -- https://fontawesome.com/icons
        targetradius = 3.0, 
    },


    menus = {
        
        menuViewVendorText = 'View Vendor',
        menuViewVendorIcon = 'fas fa-shop',

        menuCollectItemsText = 'Collect Items',
        menuCollectItemsIcon = 'fa-solid fa-box-open',

        menuCollectItemsEmptyText = 'Nothing to collect',
        menuCollectItemsEmptyIcon = 'fas fa-x',

    },

    locales = {
        deny_access_notify = 'You cannot access this vendor!', -- Notification when player accesses vendor they do not have group to open!
        no_required_items = 'You do not have the required items!', -- Notification when player tries to buy item without required items.
        cannot_buy_multi = 'You can only buy one of these at once!'
    }


  
}





```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stevoscripts.com/paid-scripts/stevo_vendors/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
